package com.yccrc.kede.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yccrc.kede.domain.Region;

import org.springframework.cache.annotation.*;
import java.util.*;
/**
 * 行政区域Service接口
 * 
 * @author chuanglx
 * @date 2022-01-12
 */
public interface IRegionService extends IService<Region> 
{
	//同步行政区域
    void synchronizationData();
    
    public Region getRegionIncludeChildren(String id);
    
    public List<Region> getProvinces();
    
    public List<Region> getChildren(String id);
    
    public String getNameById(String id);
}
